import { Children, type ReactNode } from "react"

export function checkForEmptyChildren(children: ReactNode) {
  return Children.toArray(children).filter((child) => {
    if (child === "") {
      return false
    } else if (child == null) {
      return false
    } else {
      return true
    }
  }).length
}
